PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT > Struct Template Reference

Cached luminescence spectrum. More...

`#include <solvers/gain/wasiak/ferminew.hpp>`

Collaboration diagram for plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >:
[legend]

## Public Member Functions
| LuminescenceSpectrum (FermiNewGainSolver< GeometryT > *solver, const Vec< 2 > point)
| LuminescenceSpectrum (const LuminescenceSpectrum &orig)
| LuminescenceSpectrum (LuminescenceSpectrum &&orig)=default
void | onTChange (ReceiverBase &, ReceiverBase::ChangeReason)
void | onNChange (ReceiverBase &, ReceiverBase::ChangeReason)
| ~LuminescenceSpectrum ()
Tensor2< double > | getLuminescence (double wavelength)
| Get luminescence at given wavelength.

## Public Attributes
FermiNewGainSolver< GeometryT > * | solver
| Source solver.
Vec< 2 > | point
| Point in which the luminescence is calculated.
size_t | reg
| Active region containing the point.
double | T
| Temperature.
double | n
| Carriers concentration.
unique_ptr< Levels > | levels
| Computed energy levels.
std::unique_ptr< kubly::wzmocnienie > | gMod

## Detailed Description

template<typename GeometryT>
struct plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >

Cached luminescence spectrum.

Definition at line 434 of file ferminew.hpp.

## Constructor & Destructor Documentation

## ◆ LuminescenceSpectrum() [1/3]

template<typename GeometryT >

plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::LuminescenceSpectrum | ( | FermiNewGainSolver< GeometryT > * | solver,
|  | const Vec< 2 > | point
| ) |  |

Definition at line 984 of file ferminew.cpp.

## ◆ LuminescenceSpectrum() [2/3]

template<typename GeometryT >

plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::LuminescenceSpectrum | ( | const LuminescenceSpectrum< GeometryT > & | orig | ) |
| inline

Definition at line 448 of file ferminew.hpp.

## ◆ LuminescenceSpectrum() [3/3]

template<typename GeometryT >

plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::LuminescenceSpectrum | ( | LuminescenceSpectrum< GeometryT > && | orig | ) |
| default

## ◆ ~LuminescenceSpectrum()

template<typename GeometryT >

plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::~LuminescenceSpectrum | ( |  | ) |
| inline

Definition at line 461 of file ferminew.hpp.

## Member Function Documentation

## ◆ getLuminescence()

template<typename GeometryT >

Tensor2< double > plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::getLuminescence | ( | double | wavelength | ) |

Get luminescence at given wavelength.

Parameters

  wavelength | wavelength to get luminescence

Returns
  luminescence

Definition at line 999 of file ferminew.cpp.

## ◆ onNChange()

template<typename GeometryT >

void plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::onNChange | ( | ReceiverBase & | ,
|  | ReceiverBase::ChangeReason |
| ) |  |
| inline

Definition at line 457 of file ferminew.hpp.

## ◆ onTChange()

template<typename GeometryT >

void plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::onTChange | ( | ReceiverBase & | ,
|  | ReceiverBase::ChangeReason |
| ) |  |
| inline

Definition at line 453 of file ferminew.hpp.

## Member Data Documentation

## ◆ gMod

template<typename GeometryT >

std::unique_ptr<kubly::wzmocnienie> plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::gMod

Definition at line 444 of file ferminew.hpp.

## ◆ levels

template<typename GeometryT >

unique_ptr<Levels> plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::levels

Computed energy levels.

Definition at line 443 of file ferminew.hpp.

## ◆ n

template<typename GeometryT >

double plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::n

Carriers concentration.

Definition at line 442 of file ferminew.hpp.

## ◆ point

template<typename GeometryT >

Vec<2> plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::point

Point in which the luminescence is calculated.

Definition at line 436 of file ferminew.hpp.

## ◆ reg

template<typename GeometryT >

size_t plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::reg

Active region containing the point.

Definition at line 439 of file ferminew.hpp.

## ◆ solver

template<typename GeometryT >

FermiNewGainSolver<GeometryT>* plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::solver

Source solver.

Definition at line 435 of file ferminew.hpp.

## ◆ T

template<typename GeometryT >

double plask::solvers::FermiNew::LuminescenceSpectrum< GeometryT >::T

Temperature.

Definition at line 441 of file ferminew.hpp.

The documentation for this struct was generated from the following files:

- solvers/gain/wasiak/ferminew.hpp
- solvers/gain/wasiak/ferminew.cpp